Get invoice details using specific key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
invoice| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| db_currency_id |
Key of db_currency entity, identifies the db_currency of the invoice |
globally unique identifier | |
| total_taxes |
Total taxes |
decimal number | |
| due_date |
The due date |
date | |
| source_db_table_name |
The name of db table |
string | |
| delivery_name |
The delivery name |
string | |
| delivery_street |
The street for delivery |
string | |
| delivery_city |
The city for delivery |
string | |
| delivery_zip |
The zip for delivery |
string | |
| delivery_db_country_name |
The country name for delivery |
string | |
| reference_back_office |
Reference data for back office |
string | |
| db_payment_method_id |
Payment method id |
globally unique identifier | |
| id2 |
id for internal |
integer | |
| customer_remarks |
Customer remarks |
string | |
| bill_to_party |
The bill to party |
string | |
| bill_to_contact_id |
Contact id for bill |
globally unique identifier | |
| contact_id |
Contact id of invoice |
globally unique identifier | |
| article_price_label_id |
Article price label id |
globally unique identifier | |
| db_language_id |
The language id |
globally unique identifier | |
| invoice_status_id |
The status id of invoice |
globally unique identifier | |
| invoice_status_name |
The status name of invoice |
string | |
| discount_group_id |
The id of discount group |
globally unique identifier | |
| discount |
Discount value |
decimal number | |
|
The email |
string | ||
| invoice_number |
Invoice number |
string | |
| bill_to_company_id |
Company id for bill |
globally unique identifier | |
| dateutc_confirmation |
The confirmation date (UTC) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "19ab38fb-82c1-4ee1-abfc-a74acd17c761",
"internal_number": "sample string 2",
"company_id": "d612b42a-a60e-4066-b49c-840d60c0a091",
"company_code": "sample string 4",
"company_name": "sample string 5",
"date_create": "2026-09-09T11:48:32.2341908+00:00",
"memo": "sample string 7",
"description": "sample string 8",
"invoice_type": "sample string 9",
"source_type": "sample string 10",
"source_id_in_table": "12d7ea7d-6abd-4822-a178-085d4989d7f4",
"total_lines": 12,
"total_amount": 13.0,
"db_currency_id": "1f15811c-91be-4698-b78c-acb20b9db0af",
"total_taxes": 15.0,
"due_date": "2026-09-09T11:48:32.2341908+00:00",
"source_db_table_name": "sample string 17",
"delivery_name": "sample string 18",
"delivery_street": "sample string 19",
"delivery_city": "sample string 20",
"delivery_zip": "sample string 21",
"delivery_db_country_name": "sample string 22",
"reference_back_office": "sample string 23",
"db_payment_method_id": "727959a4-4c27-44bc-a35b-8563dfc79fa6",
"id2": 25,
"customer_remarks": "sample string 26",
"bill_to_party": "sample string 27",
"bill_to_contact_id": "082aaa25-645f-474e-837e-66f9a165bb79",
"contact_id": "c7d328b3-7bf5-4dd0-b6cd-82b7116924ce",
"article_price_label_id": "7f1c1a45-b30b-4450-9544-c5c51ee46ae2",
"db_language_id": "946a0b28-363c-4351-93ac-2eeaef06cb46",
"invoice_status_id": "0d96e963-6027-42c3-9551-e1d571b4ab2c",
"invoice_status_name": "sample string 33",
"discount_group_id": "e258ee3f-ce83-4a90-8ca9-f61eb542184a",
"discount": 35.0,
"email": "sample string 36",
"invoice_number": "sample string 37",
"bill_to_company_id": "37f72169-16cc-499b-935e-3b7acc59a442",
"dateutc_confirmation": "2026-09-09T11:48:32.2341908+00:00",
"modified_dateutc": "2026-09-09T11:48:32.2341908+00:00"
}